{% extends "base_generic.html" %}


{% block title %}
<title>LocalLibrary - Home </title>
{% endblock %}

{% block content %}
<h1>Local Library Home</h1>

    <p>Welcome to <em>LocalLibrary</em>, a very basic Django webstie developed as a tutorial example on the Mozilla Developer Network.</p>

<h2>Dynamic content</h2>

    <p>The library has the following record counts:</p>
    <ul>
        <li><strong>Books:</strong> {{ num_books }}</li>
        <li><strong>Copies:</strong> {{ num_instances }}</li>
        <li><strong>Copies available:</strong> {{ num_instances_available }}</li>
        <li><strong>Authors:</strong> {{ num_authors }}</li>
        <li><strong>Genres:</strong> {{ num_genres }}</li>
        <li><strong>Titles containing 'The':</strong> {{ num_books_containing_the }}</li>
    </ul>

    <p>You have visited this page {{ num_visits }}{% if num_visits == 1 %} time{% else %} times{% endif %}.</p>

{% endblock %}
